#!/bin/sh

echo "Changing executable permissions.."
chmod 755 ./spike
chmod 755 ./bin/spike

echo "Configuring libraries.."
ldconfig -n ./lib

echo "Changing device permissions.."
sudo cp ./sh.rules /etc/udev/rules.d/

FILE=/etc/udev/rules.d/sh.rules
if test -f "$FILE"; then
    echo "\nInstallation successful\n\nRun Spike in terminal with ./spike\nor in Files by double-clicking 'spike'\n"
else
    echo "\nUnable to change device permissions. Please copy sh.rules to /etc/udev/rules.d.\n"
fi
